summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO36
-rw-r--r--.gitignore4
-rw-r--r--PKGBUILD39
-rw-r--r--gr-framework-0.46.0.patch79
4 files changed, 158 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..558916d60c1
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,36 @@
+pkgbase = gr-framework
+ pkgdesc = A universal framework for cross-platform visualization applications.
+ pkgver = 0.46.0
+ pkgrel = 1
+ url = https://gr-framework.org
+ arch = i686
+ arch = x86_64
+ arch = armv6h
+ arch = armv7h
+ arch = aarch64
+ license = MIT
+ makedepends = cmake
+ depends = bzip2
+ depends = cairo
+ depends = fontconfig
+ depends = freetype2
+ depends = ghostscript
+ depends = glfw-x11
+ depends = libjpeg-turbo
+ depends = libpng
+ depends = libtiff
+ depends = libx11
+ depends = libxft
+ depends = libxt
+ depends = pixman
+ depends = qhull
+ depends = qt5-base
+ depends = zlib
+ optdepends = ffmpeg: video support
+ source = https://github.com/sciapp/gr/archive/v0.46.0.tar.gz
+ source = gr-framework-0.46.0.patch
+ sha256sums = c466ae98fd26ac8a30d1b35a899201eaf0ede593b0a3f61f806c49261acb6982
+ sha256sums = 91475fcd6bb066206a39d0991a70c7176912b01d8c166f5a607b83045d530195
+
+pkgname = gr-framework
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..2003141c078
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,4 @@
+/pkg
+/src
+/*.tar.xz
+/*.tar.gz
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..a19ab12313c
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,39 @@
+# Maintainer: Ingo Heimbach <i.heimbach@fz-juelich.de>
+
+pkgname="gr-framework"
+pkgver="0.46.0"
+pkgrel="1"
+pkgdesc="A universal framework for cross-platform visualization applications."
+arch=("i686" "x86_64" "armv6h" "armv7h" "aarch64")
+url="https://gr-framework.org"
+license=("MIT")
+depends=("bzip2" "cairo" "fontconfig" "freetype2" "ghostscript" "glfw-x11" \
+ "libjpeg-turbo" "libpng" "libtiff" "libx11" "libxft" "libxt" "pixman" \
+ "qhull" "qt5-base" "zlib")
+makedepends=("cmake")
+optdepends=("ffmpeg: video support")
+source=("https://github.com/sciapp/gr/archive/v${pkgver}.tar.gz"
+ "${pkgname}-${pkgver}.patch")
+sha256sums=("c466ae98fd26ac8a30d1b35a899201eaf0ede593b0a3f61f806c49261acb6982"
+ "91475fcd6bb066206a39d0991a70c7176912b01d8c166f5a607b83045d530195")
+
+prepare() {
+ cd "${srcdir}/gr-${pkgver}" || return
+ patch -Np1 -i "${srcdir}/${pkgname}-${pkgver}.patch" && \
+ echo "${pkgver}" > version.txt
+}
+
+build() {
+ cd "${srcdir}/gr-${pkgver}" || return
+ cmake -DCMAKE_INSTALL_PREFIX=/usr/gr \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DGR_USE_BUNDLED_LIBRARIES=OFF \
+ -S . \
+ -B build && \
+ cmake --build build
+}
+
+package() {
+ cd "${srcdir}/gr-${pkgver}" || return
+ DESTDIR="${pkgdir}" cmake --install build
+}
diff --git a/gr-framework-0.46.0.patch b/gr-framework-0.46.0.patch
new file mode 100644
index 00000000000..073bcdeec68
--- /dev/null
+++ b/gr-framework-0.46.0.patch
@@ -0,0 +1,79 @@
+diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
+index 64718ef9..911dd62d 100644
+--- a/.gitlab-ci.yml
++++ b/.gitlab-ci.yml
+@@ -443,10 +443,11 @@ arch-cmake-system-dependencies:
+ stage: build
+ image: iffregistry.fz-juelich.de/docker-images/gr-build-images/arch-system-dependencies
+ script:
+- - make -C 3rdparty default TARGETS="qhull"
++ - pacman -Sy
++ - pacman -S --noconfirm --needed qhull
+ - mkdir build
+ - cd build
+- - cmake .. -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=${CI_PROJECT_DIR}/install -DGR_USE_BUNDLED_LIBRARIES=ON
++ - cmake .. -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=${CI_PROJECT_DIR}/install -DGR_USE_BUNDLED_LIBRARIES=OFF
+ - make
+
+ windows-32bit-cross:
+diff --git a/cmake/FindQhull.cmake b/cmake/FindQhull.cmake
+index ec771f97..19a54e45 100644
+--- a/cmake/FindQhull.cmake
++++ b/cmake/FindQhull.cmake
+@@ -25,7 +25,7 @@
+ # If false, do not try to use Qhull.
+
+ if(NOT QHULL_INCLUDE_DIR)
+- find_path(QHULL_INCLUDE_DIR qhull/qhull_a.h)
++ find_path(QHULL_INCLUDE_DIR qhull_a.h PATH_SUFFIXES qhull libqhull)
+ endif()
+
+ if(NOT QHULL_LIBRARY)
+@@ -43,7 +43,7 @@ if(NOT QHULL_VERSION_STRING
+ file(
+ WRITE "${CMAKE_CURRENT_BINARY_DIR}/qhull_get_version.c"
+ "
+- #include \"qhull/libqhull.h\"
++ #include \"libqhull.h\"
+
+ int main(void)
+ {
+diff --git a/lib/gr/Makefile b/lib/gr/Makefile
+index ff2e9957..6db9b86b 100644
+--- a/lib/gr/Makefile
++++ b/lib/gr/Makefile
+@@ -14,7 +14,7 @@ UNAME := $(shell uname)
+ contourf.o boundary.o
+ GSDEFS =
+ DEFINES = $(GSDEFS)
+- INCLUDES = -I../gks -I$(THIRDPARTYDIR)/include
++ INCLUDES = -I../gks -I$(THIRDPARTYDIR)/include -I$(THIRDPARTYDIR)/include/qhull
+ CC = cc
+ CFLAGS = $(DEFINES) -O3 -Wall -fPIC $(EXTRA_CFLAGS)
+ AR = ar
+diff --git a/lib/gr/delaunay.c b/lib/gr/delaunay.c
+index 9039f3f8..90ee44de 100644
+--- a/lib/gr/delaunay.c
++++ b/lib/gr/delaunay.c
+@@ -1,7 +1,7 @@
+ #include <stdio.h>
+ #include <stdlib.h>
+
+-#include "qhull/qhull_a.h"
++#include "qhull_a.h"
+
+ #include "gr.h"
+
+diff --git a/lib/gr/makefile.mingw b/lib/gr/makefile.mingw
+index accd1dd5..6dffd64e 100644
+--- a/lib/gr/makefile.mingw
++++ b/lib/gr/makefile.mingw
+@@ -2,7 +2,7 @@ ifeq ($(strip $(THIRDPARTYDIR)),)
+ override THIRDPARTYDIR = $(abspath $(CURDIR)/../../3rdparty/build)
+ endif
+
+- INCLUDES = -I$(THIRDPARTYDIR)/include -I../gks -I.
++ INCLUDES = -I$(THIRDPARTYDIR)/include -I$(THIRDPARTYDIR)/include/qhull -I../gks -I.
+ CFLAGS = -DXMD_H -D_POSIX -D_WIN32_WINNT=0x0600 $(INCLUDES)
+ DEFINES = -DGRDIR=\"$(GRDIR)\" -DNO_GS -DNO_X11
+ JPEGLIBS = $(THIRDPARTYDIR)/lib/libjpeg.a